#
# spec file for package python-pyls-spyder
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-pyls-spyder
Version:        0.4.0
Release:        1.12
Summary:        Spyder extensions for the python-language-server
License:        MIT
URL:            https://github.com/spyder-ide/pyls-spyder
# Use Github archive instead of PyPI sdist because of test files
Source:         %{url}/archive/v%{version}.tar.gz#/pyls-spyder-%{version}-gh.tar.gz
BuildRequires:  %{python_module base >= 3.6}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module python-lsp-server >= 1.0.1}
# /SECTION
BuildRequires:  fdupes
Requires:       python-python-lsp-server >= 1.0.1
BuildArch:      noarch
%python_subpackages

%description
Spyder extensions for the python-lsp-server

%prep
%setup -q -n pyls-spyder-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc CHANGELOG.md README.md
%license LICENSE
%{python_sitelib}/pyls_spyder
%{python_sitelib}/pyls_spyder-%{version}*-info

%changelog
* Tue Jul 13 2021 Ben Greiner <code@bnavigator.de>
- Update to version 0.4.0
  * Use python-lsp-server instead of python-language-server
* Mon Feb 22 2021 Ben Greiner <code@bnavigator.de>
- Update to version 0.3.2
  * Fix code blocks regular expression
  * Ensure that block comments start by 4 dashes or number signs
  * Fix code folding of cells
* Sat Dec 19 2020 Benjamin Greiner <code@bnavigator.de>
- Update to version 0.3.0
  * PR 15 - PR: Add support for textDocument/foldingRange call for
    code cells, by @andfoy (7846)
- Change in version 0.2.1
  * PR 13 - PR: Pin minimum Python version to 3.6
- Changes in version 0.2.0
  * Issue 9 - Some cell patterns are not detected in the Outline
    explorer (PR 10 by @andfoy)
  * Issue 8 - Some issues with special comments in the outline
    explorer (PR 10 by @andfoy)
  * PR 11 - Remove dependency on separate mock package, by
    @bnavigator
  * PR 10 - PR: Add additional cases for code cells and block
    comments, by @andfoy (9, 8)
* Thu Nov 12 2020 Benjamin Greiner <code@bnavigator.de>
- Initial specfile for version 0.1.1
- remove mock dependency gh#spyder-ide/pyls-spyder#11
